{% extends 'base.html' %}

{% block head %}

<meta name="twitter:card" content="summary_large_image" xmlns="http://www.w3.org/1999/html">
<meta name="twitter:site" content="@altcensored">
<meta name="twitter:creator" content="@altcensored">

<meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
<meta property="og:description" content="'we show what they hide'">
<meta property="og:type" content="website">
<meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
<meta property="og:image:url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
<meta property="og:image:secure_url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">

{% endblock %}

{% block content %}
    {% with active_nav='playlist' %}
        {% include "widgets/navtabs.html" %}
    {% endwith %}
    <br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g h-box">
                <div class="pure-u-10-24">
                    <div class="pure-u-1 pure-md-1-2">
                    </div>
                    <div class="pure-u-1 pure-md-1-2">
                        <i class='ion-md-list'  style="font-size: 24px"></i>
                        <b>&nbsp;{{ playlistcount | commafy }}</b>&nbsp;
                    </div>
                </div>
                <div class="pure-u-4-24" style="text-align:center;">
                    <div class="pure-u-1 pure-md-1-1">
                    </div>
                </div>
                <div class="pure-u-10-24" style="text-align:right;">
                    <div class="pure-u-1 pure-md-1-2">
                        <a href="{{ url_for('playlist.index') }}" class="pure-menu-item {{'selected' if order == 'newest' }}">
                            {{ gettext('newest') }}</a>
                    </div>
                    <div class="pure-u-1 pure-md-1-2">
                        <a href="{{ url_for('playlist.popular') }}" class="pure-menu-item {{'selected' if order == 'popular' }}">
                            {{ gettext('popular') }}</a>
                    </div>
                </div>
            </div>
            <div class="h-box">
                <hr>
            </div>
        </div>
    </div>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g">
                {% for playlist in playlists %}
                    <div class="pure-u-1 pure-u-md-1-4">
                        <div class="h-box">
                            <a href="{{ url_for('playlist.item', playlist=playlist.hashid ) }}">
                                {% if playlist.featured_video%}
                                    <div class="thumbnail">
                                    <img class="thumbnail" src="{{ config.IPROXYHUGE ~ config.IARCHIVEURL ~ playlist.featured_video.extractor_data ~ '/' ~ playlist.featured_video.title | ia_fname ~ '-' ~ playlist.featured_video.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXY ~ config.IARCHIVEURL ~ playlist.featured_video.extractor_data ~ '/__ia_thumb.jpg' }}';" >
                                    </div>
                                {% endif %}
                                <p>
                                    <i class='ion-md-list'  style="font-size: 24px"></i>
                                    <b>{{ playlist.title }}</p></b></a>
                            {% if playlist['description']  is not none %}
                              <p>{{ playlist.description | linkify | safe }}<p>
                            {% endif %}
                            <i class='ion-logo-youtube'  style="font-size: 20px"></i>
                            <b>{{ playlist.video_count }}</b>
                            <b>|</b>
                            <i class='ion-md-eye'  style="font-size: 20px"></i>
                            <b>{{ playlist.view_counter }}</b>
                            <b>|</b>
                            <i class='ion-ios-contact'  style="font-size: 20px"></i>
                            {% if playlist.user.public %}
                                <a href="{{ url_for('user.item', username=playlist.user.username) }}">
                                    <b>{{ playlist.user.username }}</b></a>
                            {%  else %}
                                <b>{{ playlist.user.username }}</b>
                            {% endif %}
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

    {% from "_helpers.html" import render_pagination %}
    <div class="pure-u-1 pure-u-md-4-4">
        <div class="h-box">
            {{ render_pagination(pagination) }}
        </div>
    </div>

{% endblock %}